don't call blobutil directly from lbmk

it's bloat, and was only there for backwards compatibility
with the old commands, but the new commands are e.g.

./update blobs inject

instead of:

./blobutil inject

this results in a slight code size reduction in lbmk

Signed-off-by: Leah Rowe <leah@libreboot.org>
btrfsvols
Leah Rowe 2023-08-17 11:55:38 +01:00
parent 0848622799
commit 63b0e99f6c
7 changed files with 11 additions and 16 deletions

View File

@ -1 +0,0 @@
lbmk

5
lbmk
View File

@ -33,10 +33,7 @@ main()
{
if [ "${0##*/}" = "lbmk" ]; then
die "Do not run the lbmk script directly!"
elif [ "${0##*/}" = "blobutil" ]; then
./update blobs $@ || exit 1
exit 0
elif [ $# -lt 1 ]; then
elif [ $# -lt 2 ]; then
die "Too few arguments. Try: ${0} help"
fi

View File

@ -131,7 +131,7 @@ buildrom() {
# Start by building blobs and placing them in the
# coreboot tree only for boards that need them
./blobutil download ${board} || exit 1
./update blobs download ${board} || exit 1
if [ -d "resources/coreboot/${board}/" ]; then
./build boot roms_helper ${board}${opts}

View File

@ -29,9 +29,8 @@ simple_fetch_list="${simple_fetch_list} bios_extract biosutilities"
dirlist="resources util" # do not add blobs directory here. it's handled below
filelist="lbmk blobutil modify build README.md COPYING Makefile update"
filelist="${filelist} version versiondate projectname .gitcheck fetch"
filelist="${filelist} fetch_trees"
filelist="lbmk modify build README.md COPYING Makefile update version"
filelist="${filelist} versiondate projectname .gitcheck fetch fetch_trees"
version="version-unknown"
versiondate="version-date-unknown"

View File

@ -386,7 +386,7 @@ extract_ec()
if [ ! -f ec.bin ]; then
printf "could not extract ec.bin for board '%s'" ${board} \
1>&2
fail "aborting the build. please audit blobutil carefully."
fail "aborting the build. please audit lbmk carefully."
fi
"${kbc1126_ec_dump}" ec.bin

View File

@ -142,8 +142,8 @@ fail()
print_help()
{
printf "Usage: ./blobutil extract {boardname} {path/to/vendor_rom}\n"
printf "Example: ./blobutil extract x230 12mb_flash.bin\n"
printf "Usage: ./update blobs extract {boardname} {path/to/vendor_rom}\n"
printf "Example: ./update blobs extract x230 12mb_flash.bin\n"
printf "\nYou need to specify exactly 2 arguments\n"
}

View File

@ -151,7 +151,7 @@ build_dependencies()
./build module cbutils default || fail "could not build cbutils"
./blobutil download ${board} || \
./update blobs download ${board} || \
fail "Could not download blobs for ${board}"
}
@ -405,13 +405,13 @@ fail()
usage()
{
cat <<- EOF
USAGE: ./blobutil inject -r [rom path] -b [boardname] -m [macaddress]
Example: ./blobutil inject -r x230_12mb.rom -b x230_12mb
USAGE: ./update blobs inject -r [rom path] -b [boardname] -m [macaddress]
Example: ./update blobs inject -r x230_12mb.rom -b x230_12mb
Adding a macadress to the gbe is optional.
If the [-m] parameter is left blank, the gbe will not be touched.
Type './blobutil inject listboards' to get a list of valid boards
Type './update blobs inject listboards' to get a list of valid boards
EOF
}